extends Resource
class_name Slot_Data

const MAX_STACK_SIZE: int = 99

@export var memberData: Member_Data
@export_range(1, MAX_STACK_SIZE) var quantity: int = 1: set = set_quantity

func set_quantity(value: int) -> void:
	quantity = value
	if quantity > 1 and not memberData.stackable:
		quantity = 1
		push_error("%s is not stackable, setting quantity to 1" % memberData.name)
	
